
export default [
  { path: '/', redirect: '/login' },
  /* 测试页面 */
  { path: '/test', name: 'test', component: () => import('../pages/test.vue') },
  /* 如果所有页面都没找到 - 指向 */
  { path: '*', component: () => import('@/components/errorPages/404.vue') },
  /* 登录页面 */
  { path: '/login', component: () => import('../pages/login/index.vue') },
  /* 我的页面 */
  { path: '/my', component: () => import('../pages/my/index.vue') },
  /* 首页列表页 */
  { path: '/index', component: () => import('../pages/list/index.vue') },
  /* 首页列表页详情 */
  { path: '/details', component: () => import('../pages/list/details.vue') },
  /* 直播回放 */
  {
    path: '/liveBack/:room_id',
    name: 'liveBack',
    component: () => import('../pages/list/livePlayback.vue')
  }
]
